%define name	x11-driver-video-avivo
%define version	0.0.1
%define git	20070919
%if %git
%define release	%mkrel 0.%git.1
%else
%define release	%mkrel 1
%endif

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	The X.org driver for ATI r500 chipsets
Group:		System/X11
URL:		http://xorg.freedesktop.org
%if %git
# git clone git://anongit.freedesktop.org/git/avivo/xf86-video-avivo
Source0:	xf86-video-avivo-%{git}.tar.lzma
%else
Source0:	http://xorg.freedesktop.org/releases/individual/driver/xf86-video-avivo-%{version}.tar.bz2
%endif
License:	MIT
BuildRoot:	%{_tmppath}/%{name}-root
BuildRequires:	libx11-devel >= 1.0.0
BuildRequires:	libdrm-devel >= 2.2
BuildRequires:	libxvmc-devel >= 1.0.1
BuildRequires:	x11-proto-devel >= 1.0.0
BuildRequires:	x11-server-devel >= 1.3
BuildRequires:	x11-util-macros >= 1.0.1
BuildRequires:	GL-devel
BuildRequires:	libpciaccess-devel

%description
The X.org driver for ATI r500+ chipsets. Very experimental.

%package     -n avivotool
Summary:	Tool for avivo driven graphics card
Group:		System/Kernel and hardware
%description -n avivotool
Avivotool lets you configure various settings on cards using the avivo
driver.

%prep
%if %git
%setup -q -n xf86-video-avivo
%else
%setup -q -n xf86-video-avivo-%{version}
%endif

%build
%if %git
./autogen.sh
%endif
%configure2_5x	--x-includes=%{_includedir} \
		--x-libraries=%{_libdir}
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files -n avivotool
%defattr(-,root,root)
%{_bindir}/avivotool

%files
%defattr(-,root,root)
%{_libdir}/xorg/modules/drivers/avivo_drv*



%changelog
* Thu Sep 20 2007 Adam Williamson <awilliamson@mandriva.com> 0.0.1-0.20070919.1mdv2008.0
+ Revision: 91250
- latest snapshot

* Thu Aug 30 2007 Adam Williamson <awilliamson@mandriva.com> 0.0.1-0.20070830.1mdv2008.0
+ Revision: 75715
- update snapshot

* Mon Aug 27 2007 Adam Williamson <awilliamson@mandriva.com> 0.0.1-0.20070827.1mdv2008.0
+ Revision: 72153
- drop patch0 (merged upstream)
- update snapshot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - split tool from driver

* Sat Aug 04 2007 Adam Williamson <awilliamson@mandriva.com> 0.0.1-0.20070804.1mdv2008.0
+ Revision: 58974
- buildrequires libpciaccess-devel
- Import x11-driver-video-avivo

